[Unit]
Description=uWSGI instance to serve gis_webapp_project
After=network.target

[Service]
User={{ webapp_owner }}
Group={{ webapp_group }}
WorkingDirectory={{ webapp_directory_full_path }}/
Environment="PATH={{ webapp_root_directory_full_path }}/.venv/bin/"
Environment="PIPENV_VENV_IN_PROJECT=1"
ExecStart={{ webapp_root_directory_full_path }}/.venv/bin/uwsgi --emperor {{ uwsgi_emperor_vassals_config_directory }}
PIDFile={{ webapp_pid }}
Restart=on-failure
KillSignal=SIGQUIT
Type=simple
StandardError=syslog
NotifyAccess=all

[Install]
WantedBy=multi-user.target
